<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='inline_file']">
		<xsl:variable name="formid" select="$formid" />

		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<xsl:choose>
   				<xsl:when test="not(@readonly) or @readonly[.!='true']">
					<div class="questionFileUpload">
						<table class="questionFileUploadTable">
							<tr><td>
								<xsl:if test="storageid[.!='']">
									<a target="_blank">
										<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>-link</xsl:attribute>
										<xsl:attribute name="href">storageprovider?StorageID=<xsl:value-of select="storageid"/></xsl:attribute>
										<xsl:value-of select="filename"/>
									</a>&#160;<a class="icon fa fa-close">
										<xsl:attribute name="onclick">
											require(["dijit/registry","dojo/dom-construct"], function(registry,domConstruct){
												//disable upload button
												var uploadWidget = registry.byId('<xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>');
												uploadWidget.set('disabled','disabled');
												//destory upload file list
												var fileListWidget = registry.byId('<xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>-files');
												fileListWidget.destroy(false);
												//destory view file link
												domConstruct.create('input',{name: '<xsl:value-of select="@id"/>', type: 'hidden', value: 'DELETE'}, dojo.byId('<xsl:value-of select="$formid"/>'));
												domConstruct.destroy('<xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>-link');
											});
										</xsl:attribute>
									</a>
								</xsl:if>
							</td><td>
								<input multiple="false" type="file" data-dojo-type="dojox/form/Uploader" label="Bestand selecteren ...">
									<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/></xsl:attribute>
									<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>							
								</input>
							</td><td>
								<div data-dojo-type="dojox/form/uploader/FileList">
									<xsl:attribute name="id"><xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>-files</xsl:attribute>
									<xsl:attribute name="data-dojo-props">uploaderId: '<xsl:value-of select="$formid"/>-<xsl:value-of select="@id"/>', headerIndex: '', headerType: '', headerFilename: '', headerFilesize: ''</xsl:attribute>
								</div>
							</td></tr>
						</table>
					</div>							
				</xsl:when>
	       		<xsl:otherwise>
					<a target="_blank">
						<xsl:attribute name="href" >storageprovider?StorageID=<xsl:value-of select="storageid"/></xsl:attribute>
						<xsl:value-of select="filename"/>
					</a>
       			</xsl:otherwise>
			</xsl:choose>
				
			<!--<xsl:if test="filename!=''">
   				<xsl:choose>
   					<xsl:when test="filesize !='' and filesize != '0'">
	       				<a target="_blank">
	       					<xsl:attribute name="href" >jsp/callDocstore.jsp?downloadAs=<xsl:value-of select="filename"/>&amp;P_DOC_ID=<xsl:value-of select="fileid"/>&amp;url=<xsl:value-of select="docStoreBase"/><xsl:value-of select="filename"/></xsl:attribute>
	       					<xsl:value-of select="filename"/>
	       				</a>
	       			</xsl:when>
	       			<xsl:otherwise>
	       				<span class="file-error"><xsl:value-of select="filename"/></span><br />
	       				<span class="feedbackerrortext"><xsl:value-of select="errormsg" /></span>
	       			</xsl:otherwise>
   				</xsl:choose>
   			</xsl:if>
   			<xsl:if test="not(@readonly) or @readonly[.!='true']">
   				<div>
   					<xsl:attribute name="data-dojo-type">chy/form/FileUpload</xsl:attribute>
   					<xsl:attribute name="data-dojo-props">
   						value:'<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="fileid"/></xsl:call-template>^^',
   						fileBase:'<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="filebase"/></xsl:call-template>',
   						<xsl:if test="@readonly[.='true']"><xsl:attribute name="readonly">readonly:true,</xsl:attribute></xsl:if>	
   						app_path: '<xsl:call-template name="replace-single-quote"><xsl:with-param name="text" select="app_path"/></xsl:call-template>',
   						id:'<xsl:value-of select="@id"/>',
   						sessionId: '<xsl:value-of select="@session_id"/>',
						onFinish: function(obj){
							KPWindowDoPost( KPWindowFindParent(obj.domNode).id,'close'); 
						}
   					</xsl:attribute>
   					<xsl:comment>spacer</xsl:comment>
   				</div>
   			</xsl:if>-->
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>
