<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='frame']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<xsl:if test="@id[.!='']">
				<iframe frameborder="0" ALLOWTRANSPARENCY="ALLOWTRANSPARENCY">
					<xsl:attribute name="width">
						<xsl:choose>
							<xsl:when test="@width[.!='']"><xsl:value-of select="@width" /></xsl:when>
							<xsl:otherwise>488px</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="height">
						<xsl:choose>
							<xsl:when test="@height[.!='']"><xsl:value-of select="@height" /></xsl:when>
							<xsl:otherwise>244px</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="scrolling">
						<xsl:choose>
							<xsl:when test="@scrolling[.!='']"><xsl:value-of select="@scrolling" /></xsl:when>
							<xsl:otherwise>no</xsl:otherwise>
						</xsl:choose>
					</xsl:attribute>
					<xsl:attribute name="name"><xsl:value-of select="@id"/></xsl:attribute>
					<xsl:attribute name="src"><xsl:value-of select="content"/></xsl:attribute>
					//
				</iframe>
			</xsl:if>		
		</xsl:if>	
	</xsl:template>

</xsl:stylesheet>
