<?xml version="1.0"?>
<!--
#
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:template name="head">
<head>
	<title>EASE</title>
	<meta charset="utf-8">
	<meta content="width=1000" name="viewport">
	<meta content="key, words" name="keywords">
	<meta content="Website description" name="description">
	<meta content="noindex, nofollow" name="robots">
	<meta http-equiv="Pragma" content="no-cache"/>	
	<!--
	<meta http-equiv="Expires" content="Mon, 06 Jan 1990 00:00:01 GMT"/> 	
	-->
	<base>
		<xsl:attribute name="href"><xsl:value-of select="diag/@base"/></xsl:attribute>
	</base>
	<link rel="stylesheet" type="text/css"><xsl:attribute name="href"><xsl:value-of select="diag/@css"/></xsl:attribute></link> 
	<script language="JavaScript" src="script/chy/chy.js"></script>
     	<script type="text/javascript" src="script/chy/validate/fValidate.config.js"></script>
     	<script type="text/javascript">
		 <xsl:text>this.submitButton=[</xsl:text>
		 <xsl:for-each select="diag/*/attr[@fieldtype='submit_button']">
			 <xsl:text>'</xsl:text>
			<xsl:choose>
				<xsl:when test="@id[.!='']">
					<xsl:value-of select="@id"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="@id"/>
				</xsl:otherwise>
			</xsl:choose>
			 <xsl:text>'</xsl:text>
			<xsl:if test="position()!=last()"><xsl:text>,</xsl:text></xsl:if>
			
		 </xsl:for-each>
		 <xsl:text>];</xsl:text>
     </script>
     <script type="text/javascript" src="script/chy/calendar.js"></script>
    <script type="text/javascript">
	    <xsl:choose>
	    		<xsl:when test="diag/@language[.!='']">
	    				<xsl:attribute name="src">script/chy/calendar-<xsl:value-of select="diag/@language" />.js</xsl:attribute>
	    		</xsl:when>
	    		<xsl:otherwise>
	    			<xsl:attribute name="src">script/chy/calendar-en.js</xsl:attribute>
	    		</xsl:otherwise>
	    </xsl:choose>
    </script>
    <script type="text/javascript" src="script/chy/calendar-setup.js"></script>
    <script type="text/javascript" src="script/chy/validate/fValidate.core.js"></script>
    <script type="text/javascript" src="script/chy/validate/fValidate.lang-enUS.js"></script>
    <script type="text/javascript" src="script/chy/validate/fValidate.validators.js"></script>
    <title>
  		<xsl:value-of select="diag/@name"/> (<xsl:value-of select="diag/@id"/> <xsl:value-of select="substring(diag/@revision,10,string-length(diag/@revision)-10)"/>
<!--
		<xsl:if test="contains($settings/dd_parm/parameter[@name='show_username'],'1')">
			<xsl:text> - </xsl:text>
			<xsl:value-of select="diag/@user"/>
		</xsl:if>
-->
		<xsl:text>)</xsl:text>
  	</title>
</head>
</xsl:template>
</xsl:stylesheet>
