<?xml version="1.0" encoding="UTF-8"?>
<!--
System: Dynamic Dialogue (DD) System file

Component: 

Description:

-->
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

	<xsl:template match="attr[@fieldtype='flow']">
		<xsl:if test="not(@mode) and (not(contains(@lock,'true')) or not(@lock))">
			<xsl:call-template name="disp_label"/>
			<td>
				<table>
					<tr>
						<td>
							<div>
								<xsl:attribute name="id"><xsl:text>htmlparamsdiv_job</xsl:text></xsl:attribute>
								<xsl:for-each select="job">
									<input type="hidden" name="flow_job">
										<xsl:attribute name="jobdefid"><xsl:value-of select="@JOBDEF_ID"/></xsl:attribute>
										<xsl:attribute name="jobname"><xsl:value-of select="@JOB_NAME"/></xsl:attribute>
										<xsl:attribute name="jobaction"><xsl:value-of select="@JOB_ACTION"/></xsl:attribute>
										<xsl:attribute name="jobdefxpos"><xsl:value-of select="@JOBDEF_XPOS"/></xsl:attribute>
										<xsl:attribute name="jobdefypos"><xsl:value-of select="@JOBDEF_YPOS"/></xsl:attribute>
										<xsl:attribute name="param1"><xsl:value-of select="@PARAM_1"/></xsl:attribute>
										<xsl:attribute name="param2"><xsl:value-of select="@PARAM_2"/></xsl:attribute>
										<xsl:attribute name="param3"><xsl:value-of select="@PARAM_3"/></xsl:attribute>
										<xsl:attribute name="param4"><xsl:value-of select="@PARAM_4"/></xsl:attribute>
										<xsl:attribute name="param5"><xsl:value-of select="@PARAM_5"/></xsl:attribute>
										<xsl:attribute name="param6"><xsl:value-of select="@PARAM_6"/></xsl:attribute>
										<xsl:attribute name="param7"><xsl:value-of select="@PARAM_7"/></xsl:attribute>
										<xsl:attribute name="param8"><xsl:value-of select="@PARAM_8"/></xsl:attribute>
										<xsl:attribute name="param9"><xsl:value-of select="@PARAM_9"/></xsl:attribute>
										<xsl:attribute name="param10"><xsl:value-of select="@PARAM_10"/></xsl:attribute>
										<xsl:attribute name="param11"><xsl:value-of select="@PARAM_11"/></xsl:attribute>
										<xsl:attribute name="param12"><xsl:value-of select="@PARAM_12"/></xsl:attribute>
										<xsl:attribute name="param13"><xsl:value-of select="@PARAM_13"/></xsl:attribute>
										<xsl:attribute name="param14"><xsl:value-of select="@PARAM_14"/></xsl:attribute>
										<xsl:attribute name="param15"><xsl:value-of select="@PARAM_15"/></xsl:attribute>
										<xsl:attribute name="param16"><xsl:value-of select="@PARAM_16"/></xsl:attribute>
										<xsl:attribute name="param17"><xsl:value-of select="@PARAM_17"/></xsl:attribute>
										<xsl:attribute name="param18"><xsl:value-of select="@PARAM_18"/></xsl:attribute>
										<xsl:attribute name="param19"><xsl:value-of select="@PARAM_19"/></xsl:attribute>
										<xsl:attribute name="param20"><xsl:value-of select="@PARAM_20"/></xsl:attribute>
									</input>
								</xsl:for-each>
							 </div>
							 <div>
								<xsl:attribute name="id"><xsl:text>htmlparamsdiv_rule</xsl:text></xsl:attribute>
								<xsl:for-each select="rule">
									<input type="hidden" name="flow_line">
										<xsl:attribute name="ruleid"><xsl:value-of select="@RULE_ID"/></xsl:attribute>
										<xsl:attribute name="contextid"><xsl:value-of select="@CONTEXT_ID"/></xsl:attribute>
										<xsl:attribute name="jobdefid"><xsl:value-of select="@JOBDEF_ID"/></xsl:attribute>
										<xsl:attribute name="rulecondition"><xsl:value-of select="@RULE_CONDITION"/></xsl:attribute>
										<xsl:attribute name="ruleprio"><xsl:value-of select="@RULE_PRIO"/></xsl:attribute>
										<xsl:attribute name="isdefault"><xsl:value-of select="@IS_DEFAULT"/></xsl:attribute>
										<xsl:attribute name="isinit"><xsl:value-of select="@IS_INIT"/></xsl:attribute>
										<xsl:attribute name="dialog"><xsl:value-of select="@DIALOG"/></xsl:attribute>
									</input>
								</xsl:for-each>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<xsl:if test="./content[.!='']">
								<iframe width="800" height="600">
									<xsl:attribute name="name">sequencerhtml</xsl:attribute>
									<xsl:attribute name="src"><xsl:value-of select="./content"/></xsl:attribute>
								</iframe>
							</xsl:if>
						</td>
					</tr>
					
					<tr>
						<td>
							<div>
								<xsl:attribute name="id"><xsl:text>htmlresultdiv</xsl:text></xsl:attribute>
								<xsl:attribute name="resultname"><xsl:value-of select="@id"/></xsl:attribute>
							 </div>
						</td>
					</tr>
				</table>
			</td>
		</xsl:if>	
	</xsl:template>
</xsl:stylesheet>
