define([
		"chy/_base/_ValidateMixin",
		"dojo/_base/declare",
		"dijit/form/Select",
		"chy/store/Json", 
		"dijit/Tooltip",
		"dijit/registry"
	], function(_ValidateMixin, declare, Select, Json, Tooltip, reg){
		
	return declare("chy.form.NamedSetSelect",[Select,_ValidateMixin],{	
		//constructor
		constructor: function(args){
			declare.safeMixin(this,args);
			//load store
			var urlWithOpt = this.dataUrl+'&P_SELECT_OPTION=1';
			this.sortByLabel=false;
			if(this.realRequired == 'false'){
				urlWithOpt += '&P_EMPTY_OPTION=1';
			}
			if (this.dataUrl !='') {
				this.store=new Json({idProperty:"value"})
				this.store.target=urlWithOpt;
				this.store.startLength=3;
			}
			//init widget
			this.inherited(arguments);
		},
		
		postCreate:function(){
			this.inherited(arguments);
			//start widget and select selected value
			this.startup();
			if(this.val != ''){
				this.set('value',this.val.split("^^")[0]);
			} else {
				this.set('value',this.default);
			}
		},
		
		onChange: function(e){
			this.inherited(arguments);
			//update _else value with display string
			if(e == null){
				reg.byId(this.formId).formNodeValue(this.name+'_else','');
			} else {
				reg.byId(this.formId).formNodeValue(this.name+'_else',this.get("displayedValue"));
			}
		}
	});
});
